ConfigProperties (Grails 6.0.0)

Package: grails.config

## [Groovy] Class ConfigProperties

- grails.config.ConfigProperties

-     @groovy.transform.CompileStatic
      class ConfigProperties
      extends java.util.Properties

  Cached access to Config.toProperties to avoid repeated calls

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private Config` | `config` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConfigProperties (Config config)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `get(java.lang.Object key)`
    `` | `java.lang.String` | `getProperty(java.lang.String key)`
    `` | `java.lang.String` | `getProperty(java.lang.String key, java.lang.String defaultValue)`
    `` | `java.util.Set<java.lang.Object>` | `keySet()`
    `` | `java.util.Enumeration<java.lang.Object>` | `keys()`
    `` | `java.util.Enumeration<?>` | `propertyNames()`
    `` | `java.util.Set<java.lang.String>` | `stringPropertyNames()`
    `` | `java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.util.Properties` | `java.util.Properties#remove(java.lang.Object, java.lang.Object), java.util.Properties#remove(java.lang.Object), java.util.Properties#get(java.lang.Object), java.util.Properties#put(java.lang.Object, java.lang.Object), java.util.Properties#getProperty(java.lang.String), java.util.Properties#getProperty(java.lang.String, java.lang.String), java.util.Properties#equals(java.lang.Object), java.util.Properties#toString(), java.util.Properties#values(), java.util.Properties#hashCode(), java.util.Properties#clone(), java.util.Properties#clear(), java.util.Properties#isEmpty(), java.util.Properties#replace(java.lang.Object, java.lang.Object, java.lang.Object), java.util.Properties#replace(java.lang.Object, java.lang.Object), java.util.Properties#contains(java.lang.Object), java.util.Properties#replaceAll(java.util.function.BiFunction), java.util.Properties#list(java.io.PrintStream), java.util.Properties#list(java.io.PrintWriter), java.util.Properties#elements(), java.util.Properties#size(), java.util.Properties#merge(java.lang.Object, java.lang.Object, java.util.function.BiFunction), java.util.Properties#entrySet(), java.util.Properties#putAll(java.util.Map), java.util.Properties#putIfAbsent(java.lang.Object, java.lang.Object), java.util.Properties#compute(java.lang.Object, java.util.function.BiFunction), java.util.Properties#setProperty(java.lang.String, java.lang.String), java.util.Properties#load(java.io.Reader), java.util.Properties#load(java.io.InputStream), java.util.Properties#forEach(java.util.function.BiConsumer), java.util.Properties#containsKey(java.lang.Object), java.util.Properties#computeIfAbsent(java.lang.Object, java.util.function.Function), java.util.Properties#save(java.io.OutputStream, java.lang.String), java.util.Properties#store(java.io.OutputStream, java.lang.String), java.util.Properties#store(java.io.Writer, java.lang.String), java.util.Properties#loadFromXML(java.io.InputStream), java.util.Properties#storeToXML(java.io.OutputStream, java.lang.String), java.util.Properties#storeToXML(java.io.OutputStream, java.lang.String, java.nio.charset.Charset), java.util.Properties#storeToXML(java.io.OutputStream, java.lang.String, java.lang.String), java.util.Properties#propertyNames(), java.util.Properties#stringPropertyNames(), java.util.Properties#keys(), java.util.Properties#containsValue(java.lang.Object), java.util.Properties#keySet(), java.util.Properties#getOrDefault(java.lang.Object, java.lang.Object), java.util.Properties#computeIfPresent(java.lang.Object, java.util.function.BiFunction), java.util.Properties#wait(long), java.util.Properties#wait(long, int), java.util.Properties#wait(), java.util.Properties#getClass(), java.util.Properties#notify(), java.util.Properties#notifyAll()`

- - ### Field Detail

    - #### private final Config config

  - ### Constructor Detail

    - #### ConfigProperties(Config config)

  - ### Method Detail

    - #### @java.lang.Override java.lang.Object get(java.lang.Object key)

    - #### @java.lang.Override java.lang.String getProperty(java.lang.String key)

    - #### @java.lang.Override java.lang.String getProperty(java.lang.String key, java.lang.String defaultValue)

    - #### @java.lang.Override java.util.Set<java.lang.Object> keySet()

    - #### @java.lang.Override java.util.Enumeration<java.lang.Object> keys()

    - #### @java.lang.Override java.util.Enumeration<?> propertyNames()

    - #### @java.lang.Override java.util.Set<java.lang.String> stringPropertyNames()

    - #### @java.lang.Override java.lang.String toString()